#include <conio.h>
#include <stdio.h>
#include <stdlib.h>
#include "lista.h"

void main()
{
	/*snodo *lista;*/
	tipolista lista;
	int elementos;
	int i;
	int valor;
	int conta_l;

	clrscr();
	lista=lista_vacia();

	if (es_lista_vacia(lista))
	{
		printf("\nLa lista esta vacia");
	}
	else
	{
		printf("\nLa lista no esta vacia");
	}

	printf ("\n ¨cuantos elementos quieres introducir en la lista? ");
	scanf ("%d",&elementos);

	for (i=0;i<elementos;i++)
	 {
	  printf ("elemento %d: ",i);
	  scanf ("%d",&valor);
	  lista=inserta_por_cabeza(lista,valor);
	 }
	 conta_l=conta_lista(lista);
	 printf ("\n hay %d listas",conta_l);

	 muestra_lista(lista);

}